<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Cuartel</title>
    </h:head>
    <h:body>
        <ui:include src="menu.xhtml"/>
        <p:fieldset legend="Registrar Nuevo Cuartel">
            <h:form id="formCuartel">
                <p:growl id="mensaje"/>
                <h:panelGrid columns="2">
                    <p:outputLabel value="Codigo"/>
                    <p:inputText value="#{cuartelController.cuartel.codigo}"/>
                    <p:outputLabel value="nombre"/>
                    <p:inputText value="#{cuartelController.cuartel.nombre}"/>
                    <p:outputLabel value="direccion"/>
                    <p:inputText value="#{cuartelController.cuartel.direccion}"/>
                    <p:commandButton rendered="#{cuartelController.cuartel.codigo==null}" value="Enviar" actionListener="#{cuartelController.insertar()}" update=":listaCuartel,:formCuartel,:formCuartel:mensaje"/>
                    <p:commandButton rendered="#{cuartelController.cuartel.codigo!=null}" value="Actualizar" actionListener="#{cuartelController.actualizar()}" update=":listaCuartel,:formCuartel,:formCuartel:mensaje"/>
                </h:panelGrid>
            </h:form>
        </p:fieldset>

        <br/>
        <p:fieldset legend="Lista de Cuarteles">
            <h:form id="listaCuartel">
                <p:dataTable value="#{cuartelController.lista}" var="cuartel" paginator="true" rows="5">
                    <p:column headerText="Codigo">
                        <p:outputLabel value="#{cuartel.codigo}"/>
                    </p:column>
                    <p:column headerText="Nombre del cuartel">
                        <p:outputLabel value="#{cuartel.nombre}"/>
                    </p:column>
                    <p:column headerText="Direccion">
                        <p:outputLabel value="#{cuartel.direccion}"/>
                    </p:column>
                    <p:column headerText="Acciones">
                        <p:commandButton value="Eliminar" actionListener="#{cuartelController.eliminar(cuartel)}" update=":listaCuartel"/>
                        <p:commandButton value="Editar" actionListener="#{cuartelController.consultarById(cuartel)}" update=":formCuartel"/>
                    </p:column>
                </p:dataTable>
            </h:form>
        </p:fieldset>
    </h:body>
</html>

